$(document).on('click', '.lightbox .btn-close, .lightbox-bg', function (e) {
  const targetEle = $(e.currentTarget)
  const targetLightbox = targetEle.parents('.lightbox')
  targetLightbox.removeClass('active')
  targetLightbox.scrollTop(0)

  setTimeout(() => {
    targetLightbox.removeClass('before-active')
    $('html,body').css('overflow', 'initial')
  }, 600)

  // url hash 清空
  const noHashURL = window.location.href.replace(/#.*$/, '')
  window.history.replaceState('', document.title, noHashURL)
})

$(document).on('click', '.btn-lightbox', function (e) {
  const targetEle = $(e.currentTarget)
  const targetLightbox = $(targetEle.data('target'))

  targetLightbox.addClass('before-active')
  $('html,body').css('overflow', 'hidden')

  setTimeout(() => {
    targetLightbox.addClass('active')
  }, 30)

  window.location.hash = targetEle.data('target')
})

// 依照網址的 hash 值來判斷是否要開啟 lightbox
if (window.location.hash && $(`${window.location.hash}.lightbox`).length) {
  const targetLightbox = $(window.location.hash)

  targetLightbox.addClass('before-active')
  $('html,body').css('overflow', 'hidden')

  setTimeout(() => {
    targetLightbox.addClass('active')
  }, 30)
}

// 滑鼠點擊.pop-up，沒有被.pop-up-wrap覆蓋的範圍時，可以直接關閉顯示.pop-up
$(document).on('click', '.pop-up', function (e) {
  const targetEle = $(e.target);
  if (!targetEle.closest('.pop-up-wrap').length) {
    $('.pop-up').hide();  // 隱藏 .pop-up
  }
});
